package com.szpg.plc.message.command.read;

import com.szpg.plc.message.AppMessageConstants;
import com.szpg.plc.message.command.ReadMemoryCommand;
import com.szpg.plc.message.response.read.ReadDSStatusCommandResponse;

public class ReadDSStatusCommand extends ReadMemoryCommand {

	/**
	 * 
	 */
	private static final long serialVersionUID = -1668388238102375069L;

	@Override
	public Class<ReadDSStatusCommandResponse> getResponseClass() {
		return ReadDSStatusCommandResponse.class;
	}

	@Override
	public String toString() {
		return "向终端[" + getDestinationId() + "]发送查询对射报警状态命令";
	}

	@Override
	public String getCommandType() {
		return AppMessageConstants.CMD_TYPE_READDSSTATUS;
	}

}
